Subject: bug#26599: patch for mwheel.el

From: Tak Kunihiro <[email-masked]>
Date: Wed, 26 Apr 2017 21:32:48 +0900 (JST)

>> Let’s consider a buffer consists of very long lines and an empty line.
>> Point starts from A with auto-hscroll-mode t.
>> 
>> 0000..0000 A
>> 0000..0000 I
>> C          B
>> D 00..0000 Z

I did not describe my concern correctly.  Let me rephrase.

Point reaches to B by scrolling up and as soon as auto-hscroll-mode is
set to t, scope will be shifted to point C.

I want to maintain scope with B instead of having scope with C before
another scrolling.

To keep having scope with B, timer is required.  A minor-mode serves
as a long timer.